<div class="container mt-5 mb-5">
  <div class="row">
    <div class="col-6">
      <h2>{{ currentProject.value?.name }}</h2>
    </div>

    <div
      class="col-6 d-flex justify-content-end"
      *ngIf="currentProject.value?.manager.id === managerId"
    >
      <div
        placement="bottom"
        ngbTooltip="Can't edit an already finished project"
        tooltipClass="tooltip-danger"
        [disableTooltip]="disableTooltip"
      >
        <button
          (click)="editProject()"
          class="btn btn-primary"
          [disabled]="!disableTooltip"
        >
          Edit Project
        </button>
      </div>
    </div>
  </div>

  <div class="row">
    <div class="container">
      <div class="card">
        <div class="card-body">
          <span class="font-weight-bold">Manager: </span
          ><span>{{ currentProject.value?.manager.name }}</span>

          <p class="font-weight-bold mb-1">Description:</p>
          <p>{{ currentProject.value?.description }}</p>

          <div class="skills-container">
            <p class="font-weight-bold">Skills:</p>
            <div class="card mt-1" *ngFor="let skill of skills.value">
              <div class="row mt-2 pl-2 pr-2">
                <div class="col-md-6">
                  <p>{{ skill?.name }}</p>
                </div>

                <div class="col-md-6 d-flex justify-content-end">
                  {{ skill.progress }} / {{ skill?.time }} hours
                </div>
              </div>
            </div>
          </div>

          <div class="employees-container mt-3">
            <p class="font-weight-bold">Employees:</p>
            <div class="card mt-1" *ngFor="let employee of skillEmployee.value">
              <div class="row mt-2 pl-2 pr-2">
                <div class="col-4">
                  <p>{{ employee?.name }}</p>
                </div>

                <div class="col-4 d-flex justify-content-center">
                  <span>
                    {{ employee?.skillName }}
                  </span>
                </div>

                <div class="col-4 d-flex justify-content-end">
                  <span>{{ employee?.time }} hours/day </span>
                </div>
              </div>
            </div>
          </div>

          <div class="targets-container mt-3">
            <p class="font-weight-bold">
              Management time:
              <span class="font-weight-normal"
                >{{ currentProject.value?.managementTime }} hours/day
              </span>
            </p>
            <p class="font-weight-bold">
              Started on:
              <span class="font-weight-normal">{{
                startDate | date: "dd MMM yyyy"
              }}</span>
            </p>
            <p class="font-weight-bold">
              Target days:
              <span class="font-weight-normal">{{
                currentProject.value?.target
              }}</span>
            </p>
            <p class="font-weight-bold">
              Days to complete:
              <span
                class="lbl"
                [innerHTML]="daysNeeded"
                class="font-weight-normal"
              ></span>
            </p>
            <p class="font-weight-bold">
              Elapsed days:
              <span class="font-weight-normal">{{
                currentProject.value?.elapsedDays
              }}</span>
            </p>
          </div>

          <div class="status-conatiner">
            <div class="row">
              <div class="col-md-3">
                <div>
                  <p class="font-weight-bold mb-1">Planning status:</p>
                  <h4 *ngIf="currentProject.value?.planningStatus">
                    <span class="badge badge-success">On Target</span>
                  </h4>
                  <h4 *ngIf="!currentProject.value?.planningStatus">
                    <span class="badge badge-danger">Late</span>
                  </h4>
                </div>
              </div>

              <div class="col-md-3">
                <div>
                  <p class="font-weight-bold mb-1">Progress status:</p>
                  <h4 *ngIf="!currentProject.value?.progressStatus">
                    <span class="badge badge-info">In Progress</span>
                  </h4>
                  <h4 *ngIf="currentProject.value?.progressStatus">
                    <span class="badge badge-warning">Finished</span>
                  </h4>
                </div>
              </div>

              <div
                class="col-6 col-sm-4 col-md-2 d-flex flex-row justify-content-end align-self-center ml-auto"
                placement="bottom"
                ngbTooltip="Can't stop an already finished project"
                tooltipClass="tooltip-danger"
                [disableTooltip]="disableTooltip"
              >
                <button
                  *ngIf="currentProject.value?.manager.id === managerId"
                  (click)="stopProject()"
                  class="btn btn-danger"
                  [disabled]="!disableTooltip"
                >
                  Stop Project
                </button>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
